function populateCategories() {
	var postcat = document.getElementById("postcat");
	postcat.appendChild(document.createElement("menupopup"));

	for (i = 0; i < metaWeblog.categories[0].length; i++) {
		postcat.appendItem(metaWeblog.categories[0][i]["description"]);
	}
	document.getElementById("activeblog").collapsed = true;
	document.getElementById("postcategory").collapsed = false;
	postcat.selectedIndex = 0;
}

metaWeblog.postToServer = function() {
	dsMidas.updateSourceTab();
	var params = [];
	params.push(this.blogs[0][0]["blogid"]);
	params.push(this.username);
	params.push(this.password);
	var blogstruct = new Object();
	var subjectbox = document.getElementById("subject");
	if (subjectbox.value.trim().length > 0) {
		blogstruct["title"] = subjectbox.value;
	}
	blogstruct["description"] = document.getElementById("messagesource").value;
	blogstruct["categories"] = [];
	blogstruct["categories"].push(document.getElementById("postcat").label);
	params.push(blogstruct);
	params.push(!document.getElementById("draftcheck").checked);
	var blogpost = makeXMLRpcCall("metaWeblog.newPost", params);
	var blah = new XMLSerializer();
	dump(blah.serializeToString(blogpost));
	this.httpreq = new XMLHttpRequest();
	this.httpreq.onload = this.postHandler;
	this.httpreq.onerror = function() {
		alert("There was an error connecting to the server.");
		dsPosts.sendPost;
	}
	this.httpreq.open("POST", this.posturl, true);
	document.getElementById("statuswhat").value = "Posting...";
	this.httpreq.send(blogpost);
}

metaWeblog.postHandler = function() {
	if (dsPosts.posting) {
		try {
			var response = parseXMLRpcResponse(metaWeblog.httpreq.responseXML);
			if ((response["faultCode"]) || (response["faultString"])) {
				alert("Error sending post: " + response["faultString"]);
			} else {
				// success!
				dsPosts.resetPostParameters();
			}
		} catch (e) {
			alert(e);
		}
		dsPosts.sendPost();
	}
}
